> For the complete documentation index, see [llms.txt](https://docs.misttrack.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.misttrack.io/openapi/quicknode-add-on-docs.md).

# Quicknode Add-on Docs

Add-on page: [Address Risk Scores](https://marketplace.quicknode.com/add-on/address-risk-scores)

## Address Label RPC

### Request Example

#### for Ethereum Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressLabel", "params": [{"chain": "ETH", "address": "0xd551234ae421e3bcba99a0da6d736074f22192ff"}]}
```

{% endcode %}

#### for BNB Smart Chain Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressLabel", "params": [{"chain": "BNB", "address": "0x631fc1ea2270e98fbd9d92658ece0f5a269aa161"}]}
```

{% endcode %}

#### for Bitcoin Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressLabel", "params": [{"chain": "BTC", "address": "bc1q4c8n5t00jmj8temxdgcc3t32nkg2wjwz24lywv"}]}
```

{% endcode %}

#### for TRON Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressLabel", "params": [{"chain": "TRX", "address": "TTd9qHyjqiUkfTxe3gotbuTMpjU8LEbpkN"}]}
```

{% endcode %}

#### for Arbitrum Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressLabel", "params": [{"chain": "ARBITRUM", "address": "0xb38e8c17e38363af6ebdcb3dae12e0243582891d"}]}
```

{% endcode %}

### Response Example

```json
{
    "jsonrpc": "2.0",
    "result": {
        "label_list": [
            "Binance",
            "hot"
        ],
        "label_type": "exchange"
    },
    "id": 1
}
```

## Address Risk Score RPC

### Request Example

#### for Ethereum Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressRiskScore", "params": [{"chain": "ETH", "address": "0x9225ce4129f21ae0369a21f8c056c70a7d31e831"}]}
```

{% endcode %}

#### for BNB Smart Chain Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressRiskScore", "params": [{"chain": "BNB", "address": "0x9bc7ac47b3066b954deddaaec347ce83fd90fc8a"}]}
```

{% endcode %}

#### for Bitcoin Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressRiskScore", "params": [{"chain": "BTC", "address": "12t9YDPgwueZ9NyMgw519p7AA8isjr6SMw"}]}
```

{% endcode %}

#### for TRON Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressRiskScore", "params": [{"chain": "TRX", "address": "TT1eYPoYZYszKnFKhHe8LFyDcDwHXSeLdh"}]}
```

{% endcode %}

#### for Arbitrum Endpoint

{% code overflow="wrap" %}

```json
{"jsonrpc": "2.0", "id": 1, "method": "mt_addressRiskScore", "params": [{"chain": "ARBITRUM", "address": "0xc29D94386FF784006Ff8461c170d1953Cc9E2B5C"}]}
```

{% endcode %}

### Response Example

```json
{
    "jsonrpc": "2.0",
    "result": {
        "score": 51,
        "hacking_event": "",
        "detail_list": [
            "Interact With Suspected Malicious Address",
            "Interact With High-risk Tag Addresses",
            "Interact With Medium-risk Tag Addresses"
        ],
        "risk_level": "Low"
    },
    "id": 1
}
```

#### Risk Descriptions For `detail_list`

[Click here](/api-endpoints/get-risk-score-async-api.md#risk-descriptions-for-detail_list)

#### Risk Level Guide

[Click here](/api-endpoints/get-risk-score-async-api.md#risk-level-guide)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.misttrack.io/openapi/quicknode-add-on-docs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
